#include "stdafx.h"
#include "TManagerClient.h"
//---------------------------------------------------------------------------
TManagerClient::TManagerClient() {
	WSADATA wsda;
	WSAStartup(MAKEWORD(1,1), &wsda); //inicializa la biblioteca winsock2.h
	ClientSocket = socket(AF_INET, SOCK_STREAM, 0);
}
//---------------------------------------------------------------------------
TManagerClient::~TManagerClient() {
	closesocket(ClientSocket);
	ClientSocket = 0;
	WSACleanup();
}
//---------------------------------------------------------------------------
bool __fastcall TManagerClient::ConnectToServer(LPCSTR theIPAddress, int thePort) {
	int result = 0;
	if (ClientSocket != INVALID_SOCKET) { //si el socket existe y es valido
		ServerAddress.sin_family = AF_INET;
		ServerAddress.sin_addr.s_addr = inet_addr(theIPAddress);
		ServerAddress.sin_port = htons(thePort);
		result = connect(ClientSocket, (struct sockaddr*)&ServerAddress, sizeof(ServerAddress));
		if (result == SOCKET_ERROR) {
			return false;
		}
		else {
			return true;
		}
	}
	return true;
}
//---------------------------------------------------------------------------
bool __fastcall TManagerClient::SendMessage(char * theMessage) {
	int result = 0;
	if (ClientSocket != INVALID_SOCKET) {
		result = send(ClientSocket, theMessage, strlen(theMessage), NULL);
		if (result == SOCKET_ERROR) {
			return false;
		}
		else {
			return true;
		}
	}
	return true;		
}
//---------------------------------------------------------------------------
char * __fastcall TManagerClient::CreateXMLMessage(char * Type, char * Par1, char * Par2) {
	char XMLMessage[1024];
	strcpy(XMLMessage, "<NetScannerMessage>");
	strcat(XMLMessage, "<Type>");
	strcat(XMLMessage, Type);
	strcat(XMLMessage, "</Type>");
	strcat(XMLMessage, "<Parameter1>");
	strcat(XMLMessage, Par1);
	strcat(XMLMessage, "</Parameter1>");
	strcat(XMLMessage, "<Parameter2>");
	strcat(XMLMessage, Par2);
	strcat(XMLMessage, "</Parameter2>");
	strcat(XMLMessage, "</NetScannerMessage>");
	return XMLMessage;
}

